org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.CheckpointProgress

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointProgress

Enclosing class:
  GridCacheDatabaseSharedManager

    protected static class GridCacheDatabaseSharedManager.CheckpointProgress
    extends Object

Data class representing the state of running/scheduled checkpoint.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `atLeastState(org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointProgress.State expectedState)`
`boolean` `finished()`
`boolean` `inProgress()` Deprecated. For legacy reason.
`boolean` `started()`
`void` `state(org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointProgress.State newState)` Changing checkpoint state if order of state is correct.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### inProgress

    @Deprecated
    public boolean inProgress()

Deprecated. For legacy reason.

Returns:
  `true` if checkpoint is stated.

#### started

    public boolean started()

#### finished

    public boolean finished()

#### atLeastState

    public boolean atLeastState(org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointProgress.State expectedState)

Parameters:
  `expectedState` - Expected state.
Returns:
  `true` if current state equal to given state.

#### state

    public void state(@NotNull
                      org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointProgress.State newState)

Changing checkpoint state if order of state is correct.

Parameters:
  `newState` - New checkpoint state.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019